Bug 249158 - kernel-2.6.21-1.3228.fc7 lacks aes-i586.ko
kernel-2.6.21-1.3228.fc7 lacks aes-i586.ko
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-21 13:09 EDT by Krzysio (Chris) Leszczynski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.6.22.2-42.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-21 12:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Details of test results (2.27 KB, text/plain)
2007-07-24 05:08 EDT, Krzysio (Chris) Leszczynski
no flags Details

  None (edit)
Description Krzysio (Chris) Leszczynski 2007-07-21 13:09:25 EDT
This is a copy&paste of my another bug
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=226885
It occured in FC6, but was marked as solved, as you can see it occurred again.

Description of problem:
There is no optimized version of eas-i586.ko in the kernel,
kernel-*.i586.rpm contains the correct module,
but *.i686.rpm lacks.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3194.fc7
kernel-2.6.21-1.3228.fc7

How reproducible:
Always

Steps to Reproduce:
1. cd /archive/with/fedora/7/updates/i386
2. rpm -qlp kernel-2.6.19-1.2895.fc6.i686.rpm|grep aes-i586.ko
3. rpm -qlp kernel-2.6.19-1.2895.fc6.i586.rpm|grep aes-i586.ko

Actual results:
The i686 contains no aes-i586 (grep returns nothing)
The i586 contains the eas-i586.ko

Expected results:
Both rpms should contain the modules

Additional info:
I believe enabling CONFIG_AES_i586=m should fix the problem.
Comment 1 Jarod Wilson 2007-07-23 11:24:54 EDT
Adding CONFIG_CRYPTO_AES_586=m and CONFIG_CRYPTO_TWOFISH_586=m to rawhide, F7
and FC6's config-x86-generic, which should re-enable these modules for
kernel.i686 and kernel-PAE.i686.
Comment 2 Dave Jones 2007-07-23 18:11:08 EDT
wait, why would you want to run 586 optimised code on a 686 ?
Do you have numbers showing this is higher performance than the generic aes code?

On which CPU ?
Comment 3 Krzysio (Chris) Leszczynski 2007-07-24 05:08:52 EDT
Created attachment 159843 [details]
Details of test results
Comment 4 Krzysio (Chris) Leszczynski 2007-07-24 05:12:11 EDT
(In reply to comment #2)
> wait, why would you want to run 586 optimised code on a 686 ?
> Do you have numbers showing this is higher performance than the generic aes code?
> 
> On which CPU ?
> 

AES-i586 is 56% faster than AES :-)

    /dev/zero->/dev/null:       47.9GB/s (0.2s)
    unencrypted device:         72.2MB/s (148.7s)
    encrypted with 'C' AES:     38.3MB/s (280.1s)
    encrypted with i586 AES:    60.4MB/s (177.9s)

(Please see my last letter for an attachment with detailed procedure of the test)
Comment 5 Chuck Ebbert 2007-07-25 17:17:26 EDT
Fix in 2.6.22.1-1.33.fc7, in updates-testing.

Note You need to log in before you can comment on or make changes to this bug.